#!/bin/bash

unamestr=`uname`

if [ ! -e odoors ]
then
    git clone https://gitlab.com/apamment/odoors.git
fi

cd odoors
if [ "$unamestr" == 'Linux' ]; then
   make
else
   gmake
fi

cd ..

gcc -c report.c -o report.o
gcc -o report report.o -lsqlite3

gcc -c main.c -o main.o -I./odoors/ `pkg-config --cflags lua5.3` 
gcc -c interbbs2.c -o interbbs2.o 
gcc -c inih/ini.c -o inih/ini.o 
gcc -o GalacticDynasty main.o interbbs2.o inih/ini.o odoors/libs-`uname -s`/libODoors.a -lsqlite3 `pkg-config --libs lua5.3`
